/*
 * title:       Profiles for routines that access the semaphore support in the
 *              OS. 
 *
 * author:      Craig E. Ward
 *
 * environment: Mac OS X (Darwin/GCC 3.1)
 *
 * description:
 *              CMSI 587 Operating Systems, Spring 2003
 *              Assignment 4 -- Interprocess Communication &
 *              Synchronication-Coordination
 *              Instructor: Tri Nguyen
 *              Due: March 19
 *
 * The Darwin implementation of semaphores is slightly different from other
 * UNIX-class operating systems, such as Linux, Solaris, etc. While these
 * functions can be used on other systems, the supporting code can not.
 */

#include <semaphore.h>

#ifndef SEMAPHORES_H
#define SEMAPHORES_H

sem_t *semaphore_util_create(const char *);
int semaphore_release(sem_t *);
int semaphore_acquire(int *);
int semaphore_close(int *);

#endif
