/*
 * title:       Utility Routines
 *
 * author:      Craig E. Ward
 *
 * envionment:  GCC 3.1
 */

#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <time.h>
#include <unistd.h>
#include <sys/types.h>

#include "util.h"

/*
 * Simple logging function
 */
void log(char *format, ...)
{
  va_list ap;                   /* variable argument list pointer */
  time_t now = 0;               /* current time */
  char timestr[41];             /* formatting of time */
  
  /* put a timestamp on log text */
  memset(timestr, '\0', sizeof timestr);
  time(&now);
  (void)strftime(timestr, ((sizeof timestr) - 1), 
                 "%m%d%y %H:%M:%S", localtime(&now));
  fprintf(stderr, "[%s]%d: ", timestr,getpid());

  /* process the argument string */
  va_start(ap, format);
  vfprintf(stderr,format,ap);
  va_end(ap);

  fputc('\n',stderr);
  (void)fflush(stderr);

  return;
} /* log */

int random_choice(int range)
{
  int value = (random()) % range;
  return value;
}

void seed_random_choice(unsigned long seed)
{
  srandom(seed);                /* initalize random number sequence */
}

